{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/VertexImpl.eGet(IZZ)Ljava/lang/Object;",
  "numberOfDefinitions": 2,
  "calls": {
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResolveProxy(Lorg/eclipse/emf/ecore/InternalEObject;)Lorg/eclipse/emf/ecore/EObject;": 2,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicGet(IZZ)Ljava/lang/Object;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/VertexImpl.basicGetContainer()Lorg/eclipse/uml2/uml/Region;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getOwnedElements()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 2,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl$Container.eInternalContainer()Lorg/eclipse/emf/ecore/InternalEObject;": 2,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl.eContainerFeatureID()I": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/VertexImpl.basicGetNamespace()Lorg/eclipse/uml2/uml/Namespace;": 2,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eContainer()Lorg/eclipse/emf/ecore/EObject;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/VertexImpl.getContainer()Lorg/eclipse/uml2/uml/Region;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getOwner()Lorg/eclipse/uml2/uml/Element;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetOwner()Lorg/eclipse/uml2/uml/Element;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/VertexImpl.getIncomings()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/emf/ecore/util/EObjectResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/VertexImpl.getOutgoings()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getVisibility()Lorg/eclipse/uml2/uml/VisibilityKind;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getName()Ljava/lang/String;": 2
  }
}